## ros-melodic-rviz-satellite 3.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rviz_satellite)

find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    rviz
    sensor_msgs
)

catkin_package(
  CATKIN_DEPENDS
    roscpp
    rviz
    sensor_msgs
)

find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED Core Gui Network REQUIRED)
set(QT_LIBRARIES Qt5::Core Qt5::Gui Qt5::Network)


## BUILD ##

set(${PROJECT_NAME}_SOURCES
  src/aerialmap_display.cpp
  src/ogre_tile.cpp
  src/tile_id.cpp
)

set(${PROJECT_NAME}_HEADERS
  src/aerialmap_display.h
  src/detail/tile_downloader.h
)

# invoke MOC and UI/ include Qt headers/ link Qt libraries - alternatively, see CMAKE_AUTOMOC
qt5_wrap_cpp(${PROJECT_NAME}_MOC_FILES ${${PROJECT_NAME}_HEADERS})

set(PROJECT_SOURCE_FILES
  ${${PROJECT_NAME}_SOURCES}
  ${${PROJECT_NAME}_MOC_FILES}
)

include_directories(
  src
  ${catkin_INCLUDE_DIRS}
)

add_library(
  ${PROJECT_NAME}
  ${PROJECT_SOURCE_FILES}
)

# set compiler options and inject version of software (see tile_downloader.h)
# rviz_satellite_VERSION is defined via catkin and is read from the package.xml
target_compile_options(
  ${PROJECT_NAME}
  PUBLIC
  -Wall -Wunused -std=c++11 "-DRVIZ_SATELLITE_VERSION=\"${rviz_satellite_VERSION}\""
)

target_link_libraries(
  ${PROJECT_NAME}
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
)


## INSTALL ##

install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rviz-satellite (3.0.3-1bionic) bionic; urgency=high

  * Pragmatic URI check
  * Enable catkin_lint in CI
  * Enable ros industrial CI
  * Update maintainer info

 -- Tim Clephas <tim.clephas@nobleo.nl>  Mon, 18 Jan 2021 23:00:00 -0000

ros-melodic-rviz-satellite (3.0.2-1bionic) bionic; urgency=high

  * Fix time synchronization of NavSat transform lookup

 -- Tim Clephas <tim.clephas@nobleo.nl>  Mon, 12 Oct 2020 22:00:00 -0000

ros-melodic-rviz-satellite (3.0.1-1bionic) bionic; urgency=high

  * Fix cleanup bug breaking the navsat-tile transforms (#84, #85)

 -- Tim Clephas <tim.clephas@nobleo.nl>  Sun, 02 Aug 2020 22:00:00 -0000

ros-melodic-rviz-satellite (3.0.0-1bionic) bionic; urgency=high

  * Code cleanup (#76, #75)
  * Remove the 'resolution' property (#74)
  * Fix frame jitter by splitting map and fixed-frame transforms (#56)
  * Cleanup cmake (#70)
  * Remove NED and NWU frame conversion options

 -- Tim Clephas <tim.clephas@nobleo.nl>  Mon, 25 May 2020 22:00:00 -0000

ros-melodic-rviz-satellite (2.0.0-1bionic) bionic; urgency=high

  * Drop Qt4 support

 -- Tim Clephas <tim.clephas@nobleo.nl>  Thu, 16 Apr 2020 22:00:00 -0000

ros-melodic-rviz-satellite (1.3.0-1bionic) bionic; urgency=high

  * Fix setting the fixed frame
  * Fix race when reading the blocks property
  * Set tile fetching preference to cache
  * Remove the robot frame property. Instead use the frame from the NavSatFix topic
  * Fix demo.launch
  * Fix uninitialized variable

 -- Tim Clephas <tim.clephas@nobleo.nl>  Thu, 16 Apr 2020 22:00:00 -0000

ros-melodic-rviz-satellite (1.2.0-1bionic) bionic; urgency=high

  * Rewrite of the tile loader
  * Display an error if the tile server is invalid
  * Move map towards the robot's z-position
  * Use XDG cache path for caching tiles
  * Incorporate orientation of tile frame when rendering map

 -- Tim Clephas <tim.clephas@nobleo.nl>  Wed, 06 Mar 2019 23:00:00 -0000

ros-melodic-rviz-satellite (1.1.0-1bionic) bionic; urgency=high

  * Integrate package version via CMake
  * Detect Qt 5 automatically, adding support for ROS Lunar, Melodic, et al
  * Remove unused opencv linking

 -- Tim Clephas <tim.clephas@nobleo.nl>  Mon, 03 Dec 2018 23:00:00 -0000

ros-melodic-rviz-satellite (1.0.0-1bionic) bionic; urgency=high

  * Initial release

 -- Tim Clephas <tim.clephas@nobleo.nl>  Wed, 07 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-rviz-satellite
Section: misc
Priority: optional
Maintainer: Tim Clephas <tim.clephas@nobleo.nl>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-sensor-msgs
Homepage: https://github.com/nobleo/rviz_satellite
Standards-Version: 3.9.2

Package: ros-melodic-rviz-satellite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-tf2-ros
Description: Display satellite map tiles in RViz

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rviz-satellite//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
